<script lang="ts">
  import { getCashValue } from "../utils";
  import { send, receive } from "./currencyCardCrossfade";

  export let card: CurrencyCard;
  export let facedown: boolean = false;

  $: cashValue = getCashValue(card);
  $: thousands = Math.round(cashValue / 1000);
</script>

<div
  class="outer border shadow"
  class:facedown
  in:receive={{ key: card }}
  out:send={{ key: card }}
>
  <div class="inner">
    {#if facedown}
      <div class="art">$</div>
    {:else}
      <div class="thousands">{thousands},</div>

      <small class="zeros">000</small>

      <div class="art">$</div>
    {/if}
  </div>
</div>

<style>
  .outer {
    font-family: "Delius", cursive;
    font-weight: bold;
    width: 5em;
    height: 7em;
    background: rgb(171, 217, 235);
    border-color: rgb(120, 152, 165);
    position: relative;
  }

  .facedown.outer {
    color: rgb(144, 200, 223);
    -webkit-text-stroke: 0.03em rgba(0, 0, 0, 0.25);
    text-shadow: 0.05em 0.05em 0.05em rgba(0, 0, 0, 0.25);
  }

  .inner {
    position: absolute;
    top: 0.33em;
    left: 0.33em;
    right: 0.33em;
    bottom: 0.33em;
    border-radius: 0.2em;
  }
  :not(.facedown) > .inner {
    padding-left: 0.17em;
    background-color: rgb(255, 242, 169);
    color: rgb(219, 206, 132);
    -webkit-text-stroke: 0.03em rgba(0, 0, 0, 0.5);
    text-shadow: 0.05em 0.05em 0.05em rgba(0, 0, 0, 0.5);
  }

  .thousands {
    line-height: 1em;
    display: inline-block;
    margin-right: -0.25em;
  }
  .zeros {
    display: inline-block;
    vertical-align: text-top;
    font-size: 0.7em;
  }

  .art {
    font-size: 3em;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
</style>
